ACPI_BUS_DRIVER_IN(9)

NAME
acpi_bus_driver_init - add a device to a driver

SYNOPSIS

int acpi_bus_driver_init (struct acpi_device * device, struct acpi_driver * driver);

ARGUMENTS

device
    the device to add and initialize

driver
    driver for the device

DESCRIPTION

Used to initialize a device via its device driver. Called whenever a driver is bound to a device. Invokes the driver's add and start ops.